/* Copyright (C) 2008, Cyril Hu (cyrilhu@gmail.com)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

#include <stddef.h>

/*  Compare unit, judging return value on >0, =0 or <0.
 *  TYPE: size_t,  ORDER: ascending.
 */
int scmpa(const void *a, const void *b)
{
	size_t c = *( (size_t *)a), d = *( (size_t *)b);
	return c > d ? 1 : (c==d ? 0 : -1);
}
